Package com.sas.metadata.remote

# Interface MetadataState

All Known Implementing Classes:
  `AssociationList`

public interface MetadataState
This class defines the state that the attributes and association lists of an object can be.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `AL_ALL`
  All states.
  `static final int`
  `AL_ITEM_ADDED`
  An Item was added to this list
  `static final int`
  `AL_ITEM_CHANGED`
  An Item in this list has changed.
  `static final int`
  `AL_ITEM_REMOVED`
  An Item was removed from this list
  `static final int`
  `AL_LOCALSET`
  This list has a value that was set locally.
  `static final int`
  `AL_PARTIALSET`
  This list has values that were set locally.
  `static final int`
  `AL_SETFROMSERVER`
  This list has been set from the server.
  `static final int`
  `AL_UNCHANGED`
  This list has not been modified or set.
  `static final int`
  `AL_UPDATEALL`
  This states says rewrite all the information to the server.
  `static final int`
  `LOCAL`
  Have been set by local set method.
  `static final int`
  `MD_CHGMGT_CHECKEDOUT`
  The change management flag checked out for the External Identity objects ImportType attribute.
  `static final int`
  `MD_CHGMGT_FETCHED`
  The change management flag fetched from server for the External Identity objects ImportType attribute.
  `static final int`
  `MD_CHGMGT_NEW`
  The change management flag newly created for the External Identity objects ImportType attribute.
  `static final int`
  `MD_CHGMGT_UNSET`
  The change management flag unset for the External Identity objects ImportType attribute.
  `static final int`
  `MD_OBJECT_MODIFIED`
  Tells the object has been modified and the object will be persisted to the server.
  `static final int`
  `MD_OBJECT_NOT_MODIFIED`
  Tells the object may have been modified, but do not persist to the server.
  `static final int`
  `MD_OBJECT_STALE`
  Sets the object to be stale.
  `static final int`
  `MD_OBJECT_UNSET`
  Tells that an object has not been changed.
  `static final int`
  `SERVER`
  Have been set by the server.
  `static final int`
  `UNSET`
  Have not be set yet.

- ## Field Details

  - ### UNSET

    static final int UNSET
    Have not be set yet. We have not set it yet, locally or from the server.
    See Also:
      - Constant Field Values

  - ### LOCAL

    static final int LOCAL
    Have been set by local set method. This value has been changed locally.
    See Also:
      - Constant Field Values

  - ### SERVER

    static final int SERVER
    Have been set by the server. This is the value the server had for this.
    See Also:
      - Constant Field Values

  - ### AL_UNCHANGED

    static final int AL_UNCHANGED
    This list has not been modified or set.
    See Also:
      - Constant Field Values

  - ### AL_SETFROMSERVER

    static final int AL_SETFROMSERVER
    This list has been set from the server.
    See Also:
      - Constant Field Values

  - ### AL_ITEM_REMOVED

    static final int AL_ITEM_REMOVED
    An Item was removed from this list
    See Also:
      - Constant Field Values

  - ### AL_ITEM_ADDED

    static final int AL_ITEM_ADDED
    An Item was added to this list
    See Also:
      - Constant Field Values

  - ### AL_ITEM_CHANGED

    static final int AL_ITEM_CHANGED
    An Item in this list has changed.
    See Also:
      - Constant Field Values

  - ### AL_UPDATEALL

    static final int AL_UPDATEALL
    This states says rewrite all the information to the server.
    See Also:
      - Constant Field Values

  - ### AL_PARTIALSET

    static final int AL_PARTIALSET
    This list has values that were set locally. The max cardinally of the list is not concrete so this list may be partial in content, so next time we can let's refresh this from the server.
    See Also:
      - Constant Field Values

  - ### AL_LOCALSET

    static final int AL_LOCALSET
    This list has a value that was set locally. It is complete in that it can only have 1 value.
    See Also:
      - Constant Field Values

  - ### AL_ALL

    static final int AL_ALL
    All states.
    See Also:
      - Constant Field Values

  - ### MD_OBJECT_UNSET

    static final int MD_OBJECT_UNSET
    Tells that an object has not been changed. Will not be persisted to server
    See Also:
      - Constant Field Values

  - ### MD_OBJECT_MODIFIED

    static final int MD_OBJECT_MODIFIED
    Tells the object has been modified and the object will be persisted to the server.
    See Also:
      - Constant Field Values

  - ### MD_OBJECT_NOT_MODIFIED

    static final int MD_OBJECT_NOT_MODIFIED
    Tells the object may have been modified, but do not persist to the server.
    See Also:
      - Constant Field Values

  - ### MD_OBJECT_STALE

    static final int MD_OBJECT_STALE
    Sets the object to be stale. The next time a request is made for this object or any other stale object, it will be refreshed from the server.
    See Also:
      - Constant Field Values

  - ### MD_CHGMGT_UNSET

    static final int MD_CHGMGT_UNSET
    The change management flag unset for the External Identity objects ImportType attribute. value = 0x0000;
    See Also:
      - Constant Field Values

  - ### MD_CHGMGT_CHECKEDOUT

    static final int MD_CHGMGT_CHECKEDOUT
    The change management flag checked out for the External Identity objects ImportType attribute. value = 0x0001;
    See Also:
      - Constant Field Values

  - ### MD_CHGMGT_FETCHED

    static final int MD_CHGMGT_FETCHED
    The change management flag fetched from server for the External Identity objects ImportType attribute. value = 0x0002;
    See Also:
      - Constant Field Values

  - ### MD_CHGMGT_NEW

    static final int MD_CHGMGT_NEW
    The change management flag newly created for the External Identity objects ImportType attribute. value = 0x0003;
    See Also:
      - Constant Field Values